Bug 1027104 - python-testtools-0.9.35 is available
python-testtools-0.9.35 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-testtools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 02:31 EST by Upstream Release Monitoring
Modified: 2014-02-28 04:51 EST (History)
2 users (show)

See Also:
Fixed In Version: python-testtools-0.9.35-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-14 03:08:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-11-06 02:31:44 EST
Latest upstream release: 0.9.33
Current version/release in Fedora Rawhide: 0.9.32-3.fc20
URL: https://launchpad.net/testtools/+download

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-12-02 05:50:21 EST
Latest upstream release: 0.9.34
Current version/release in Fedora Rawhide: 0.9.32-3.fc20
URL: https://launchpad.net/testtools/+download

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2014-01-30 05:04:02 EST
Latest upstream release: 0.9.35
Current version/release in Fedora Rawhide: 0.9.32-3.fc20
URL: https://launchpad.net/testtools/+download

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Fedora Update System 2014-02-03 03:57:05 EST
python-testtools-0.9.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-testtools-0.9.35-1.fc20
Comment 4 Fedora Update System 2014-02-03 03:57:17 EST
python-testtools-0.9.35-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-testtools-0.9.35-1.el6
Comment 5 Fedora Update System 2014-02-03 03:57:24 EST
python-testtools-0.9.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-testtools-0.9.35-1.fc19
Comment 6 Fedora Update System 2014-02-03 15:51:00 EST
Package python-testtools-0.9.35-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-testtools-0.9.35-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0439/python-testtools-0.9.35-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-02-14 03:08:01 EST
python-testtools-0.9.35-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-02-14 03:11:38 EST
python-testtools-0.9.35-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-02-20 02:01:37 EST
python-testtools-0.9.35-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Steven Dake 2014-02-28 04:51:14 EST
When running tests with openstack-heat, the test cases blow up with the following backtrace:

[sdake@bigiron heat]$ ./run_tests.sh
Running tests
Traceback (most recent call last):
  File "setup.py", line 22, in <module>
    pbr=True)
  File "/usr/lib64/python2.7/distutils/core.py", line 138, in setup
    ok = dist.parse_command_line()
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 250, in parse_command_line
    result = _Distribution.parse_command_line(self)
  File "/usr/lib64/python2.7/distutils/dist.py", line 467, in parse_command_line
    args = self._parse_command_opts(parser, args)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 533, in _parse_command_opts
    nargs = _Distribution._parse_command_opts(self, parser, args)
  File "/usr/lib64/python2.7/distutils/dist.py", line 523, in _parse_command_opts
    cmd_class = self.get_command_class(command)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 363, in get_command_class
    self.cmdclass[command] = cmdclass = ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2108, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.7/site-packages/testrepository/setuptools_command.py", line 33, in <module>
    from testrepository import commands
  File "/usr/lib/python2.7/site-packages/testrepository/commands/__init__.py", line 40, in <module>
    import subunit
  File "/usr/lib/python2.7/site-packages/subunit/__init__.py", line 148, in <module>
    from subunit import chunked, details, iso8601, test_results
  File "/usr/lib/python2.7/site-packages/subunit/test_results.py", line 23, in <module>
    from testtools.compat import all
ImportError: cannot import name all
Running flake8...
[sdake@bigiron heat]$ 

A yum downgrade resolves the problem:

[sdake@bigiron site-packages]$ sudo yum downgrade python-testtools
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package python-testtools.noarch 0:0.9.32-3.fc20 will be a downgrade
---> Package python-testtools.noarch 0:0.9.35-1.fc20 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch          Version              Repository     Size
================================================================================
Downgrading:
 python-testtools        noarch        0.9.32-3.fc20        fedora        290 k

Transaction Summary
================================================================================

with the downgrade, run_tests.sh runs our 2000 test cases properly.

Could you please revert this change or resolve?

Thanks
-steve

Note You need to log in before you can comment on or make changes to this bug.